#! /usr/bin/env python

import tbplas as tb

# Graphene without vacancies
cell = tb.make_graphene_diamond()
cell = tb.extend_prim_cell(cell, dim=(3, 3, 1))
cell.plot(with_conj=False)

# Remove orbitals and plot
cell.remove_orbitals([8, 14])
cell.plot(with_conj=False)

# Trim and plot
cell.trim()
cell.plot(with_conj=False)

# Graphene without vacancies
cell = tb.make_graphene_diamond()
cell = tb.extend_prim_cell(cell, dim=(3, 3, 1))

# Remove hopping terms and plot
cell.remove_hopping(rn=(0, 0), orb_i=3, orb_j=8)
cell.remove_hopping(rn=(0, 0), orb_i=8, orb_j=9)
cell.plot(with_conj=False)

# Trim and plot
cell.trim()
cell.plot(with_conj=False)
